- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
dns_cache Struct Reference

## Data Fields
void * | state
dns_atomic_t(* | acquire )(struct dns_cache *)
dns_atomic_t(* | release )(struct dns_cache *)
struct dns_packet *(* | query )(struct dns_packet *, struct dns_cache *, int *)
int(* | submit )(struct dns_packet *, struct dns_cache *)
int(* | check )(struct dns_cache *)
struct dns_packet *(* | fetch )(struct dns_cache *, int *)
int(* | pollfd )(struct dns_cache *)
short(* | events )(struct dns_cache *)
void(* | clear )(struct dns_cache *)
union {
long i
void * p
} | arg [3]